Old 17th September 2011, 09:20   #1
st1mpy
Junior Member
 
Join Date: Sep 2011
Posts: 6
avs don`t working at all

Hello, i have a trouble winamp 5.621 with avs v2.81d don`t working. When i`m pressing start avs module, winamp crashes. Milkdrop & NullsoftTF working fine, but i`m only like vis_avs! Can anyone help me? My system:
Microsoft Windows 7 Ultimate Service Pack 1, DirectX 11.0,
Mobile DualCore Intel Celeron, 2415 MHz (10.5 x 230)
Asus K50ID Series Notebook
nVIDIA MCP79/7A
2048 Мб (DDR3-1333 DDR3 SDRAM)
NVIDIA GeForce GT 320M (1024 Мб) Driver 280.26
st1mpy is offline   Reply With Quote
Old 17th September 2011, 14:29   #2
Yathosho
Forum King
 
Yathosho's Avatar
 
Join Date: Jan 2002
Location: AT-DE
Posts: 3,360
the help is ALL OVER the forum

in short: winamp 5.621 does not work properly with ANY avs version. this is likely NEVER going to change again.
Yathosho is offline   Reply With Quote
Old 17th September 2011, 15:25   #3
QOAL
[STILL a retard!]
 
QOAL's Avatar
 
Join Date: Apr 2002
Location: Bristol, UK
Posts: 1,168
chavs works.
(Bar the discrepancies people moan about)

count!last.fmdastylishplanner
QOAL is offline   Reply With Quote
Old 17th September 2011, 17:54   #4
st1mpy
Junior Member
 
Join Date: Sep 2011
Posts: 6
Quote:
Originally Posted by Yathosho View Post
the help is ALL OVER the forum

in short: winamp 5.621 does not work properly with ANY avs version. this is likely NEVER going to change again.
Thanks for yr help! I thought that problem in my hardware or drivers or in 32bit win7, but i can`t thougt that problem in winamp version. Why installer of WA 5.621 installing unsupportable plugin? Thats in unlogic. Can you tell me what last version supports avs?

Quote:
Originally Posted by QOAL View Post
chavs works.
(Bar the discrepancies people moan about)
Man y`re fantastic!!!
Unbelivable~~~ I have working avs now!!! THANKS a lot~~~
Overlay and FS mode not working, only windoved.

Last edited by st1mpy; 17th September 2011 at 18:21. Reason: next reply
st1mpy is offline   Reply With Quote
Old 17th September 2011, 18:58   #5
QOAL
[STILL a retard!]
 
QOAL's Avatar
 
Join Date: Apr 2002
Location: Bristol, UK
Posts: 1,168
Try disabling Aero when Winamp is running, I believe they should work then. (I haven't personally tested)

count!last.fmdastylishplanner
QOAL is offline   Reply With Quote
Old 17th September 2011, 19:47   #6
st1mpy
Junior Member
 
Join Date: Sep 2011
Posts: 6
Quote:
Originally Posted by QOAL View Post
Try disabling Aero when Winamp is running, I believe they should work then. (I haven't personally tested)
Aero disabling didn`t helps. When entering fullscreen mode (without overlay) screen splashes several times from avs to desktop then stops at desktop. When overlay mode is selected then all fullscreen is darkbrown color only. So that`s a pity...
st1mpy is offline   Reply With Quote
Old 18th September 2011, 06:23   #7
st1mpy
Junior Member
 
Join Date: Sep 2011
Posts: 6
Quote:
Originally Posted by tanadao View Post
Your system already.
What you mean?
st1mpy is offline   Reply With Quote
Old 19th September 2011, 12:23   #8
Yathosho
Forum King
 
Yathosho's Avatar
 
Join Date: Jan 2002
Location: AT-DE
Posts: 3,360
Quote:
Originally Posted by QOAL View Post
chavs works.
(Bar the discrepancies people moan about)
but it breaks convolution filter, which is arguably the most important trans effect these days
Yathosho is offline   Reply With Quote
Old 19th September 2011, 12:24   #9
Yathosho
Forum King
 
Yathosho's Avatar
 
Join Date: Jan 2002
Location: AT-DE
Posts: 3,360
Quote:
Originally Posted by st1mpy View Post
Aero disabling didn`t helps. When entering fullscreen mode (without overlay) screen splashes several times from avs to desktop then stops at desktop. When overlay mode is selected then all fullscreen is darkbrown color only. So that`s a pity...
overlay does not longer work on windows vista, windows 7 and what may follow.

try resetting all your avs settings, they are stored in your winamp.ini
Yathosho is offline   Reply With Quote
Old 20th September 2011, 16:26   #10
st1mpy
Junior Member
 
Join Date: Sep 2011
Posts: 6
Quote:
Originally Posted by Yathosho View Post
overlay does not longer work on windows vista, windows 7 and what may follow.

try resetting all your avs settings, they are stored in your winamp.ini
resetting didn`t helps(
Milkdrop fullscreen works, chavs in fullscreen(with varios settings) don`t work.
Which old version of WA works with avs?
st1mpy is offline   Reply With Quote
Old 20th September 2011, 17:04   #11
DrO
 
Join Date: Sep 2003
Posts: 27,873
AVS just isn't for running on Vista and newer OSes. reverting Winamp versions won't help with that issue as it's the AVS plug-in which is the problem (since it's from the Win9x days) and just needs to be killed / updated / dropped or something but no one cares about it now hence it just getting further broken.

-daz
DrO is offline   Reply With Quote
Old 20th September 2011, 18:25   #12
Warrior of the Light
Forum King
 
Warrior of the Light's Avatar
 
Join Date: Aug 2002
Location: The Netherlands
Posts: 4,063
5.581 works

Jesus loves you [yes, you] so much, he even died for you so that you will not need to die, but live forever
Warrior of the Light is offline   Reply With Quote
Old 20th September 2011, 19:32   #13
DrO
 
Join Date: Sep 2003
Posts: 27,873
which has the version of the AVS plug-in (2.83) that everyone complained doesn't work with whatever ape's etc it is and therefore it is broken as is the case for going back to the 2.81d.

hence my post is correct in that it doesn't matter what version is used, all versions are broken in different ways and that's just not going to change.


AVS should not be in the distro as it is clearly not working, cannot be supported (there is no interest to work on the thing either officially or otherwise - chavs had what one part-working release and that's been it) and no one wants to take the source code and fix it.


additionally telling people to downgrade Winamp when it's just a broken dll is completely irresponsible especially 5.581 as that leaves a user open to the dll loading security vuln (and a number of other ones).

-daz
DrO is offline   Reply With Quote
Old 21st September 2011, 04:23   #14
st1mpy
Junior Member
 
Join Date: Sep 2011
Posts: 6
Thank You guys for helping! I thought too that avs plugin is old for new os. I will use Milkdrop, it works perfect and uses my 3d card))
st1mpy is offline   Reply With Quote
Old 21st September 2011, 14:38   #15
Warrior of the Light
Forum King
 
Warrior of the Light's Avatar
 
Join Date: Aug 2002
Location: The Netherlands
Posts: 4,063
Downgrading in never the best option but it is the only way to run avs if that's what you want.

Without AVS, I'd probably have switched to another player in the 3.x days.

5.581 with 2.81d works on win7, that's all I'm saying. you can still choose to install the most recent version for your music as a seperate install.

Jesus loves you [yes, you] so much, he even died for you so that you will not need to die, but live forever
Warrior of the Light is offline   Reply With Quote
Old 21st September 2011, 14:49   #16
Yathosho
Forum King
 
Yathosho's Avatar
 
Join Date: Jan 2002
Location: AT-DE
Posts: 3,360
Quote:
Originally Posted by Warrior of the Light View Post
Without AVS, I'd probably have switched to another player in the 3.x days.
avs supports at least foobar2000 and xmplay, though i don't remember if components using bitmaps, like texer, are working properly. they surely don't work on winamp running in wine/darwine.

if security is an important factor, one can still run an old winamp version in a virtual machine (or sandboxie), isolated from the actual operating system. take a look at the windows xp mode of windows 7 pro and ultimate or virtualbox, vmware etc. on fairly modern hardware, the loss of performance is negligible.

personally i'm running avs on my macbook air through darwine/winebottler and the performance is great (faster than on my windows desktop), just that texers don't work.
Yathosho is offline   Reply With Quote
Old 21st September 2011, 15:13   #17
DrO
 
Join Date: Sep 2003
Posts: 27,873
/me bangs head on desk.

there is no need to be downgrading the whole of Winamp just to use the older/newer/whatever vis_avs.dll - can that fud stop being spread as it's just getting as bad as the people who resolutely stay on 2.9x or earlier.


the easiet option is to remove AVS from the distro and provide it as a separate installer with an option to select what version of the plug-in is wanted but stating clearly that it's broken in certain respects. that way it's down to people to decide if they want to install it or not and then doesn't become a primary support issue.

-daz
DrO is offline   Reply With Quote
Reply
Go Back   Winamp & SHOUTcast Forums > Visualizations > AVS > AVS Troubleshooting

Tags
avs, crash, win7

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Forum Jump